HRTime\PerformanceCounter::stop
HRTime\StopWatch::getElapsedTime
HRTime
PHP Manual

# The HRTime\StopWatch class

(PECL hrtime >= 0.4.3)

## Introduction

## Class synopsis

HRTime\StopWatch extends HRTime\PerformanceCounter {
/* Methods */
public float getElapsedTime ([ integer `$unit` ] )
public float getLastElapsedTime ([ integer `$unit` ] )
/* Inherited methods */
public int HRTime\PerformanceCounter::getElapsedTicks ( void )
public int HRTime\PerformanceCounter::getFrequency ( void )
public int HRTime\PerformanceCounter::getLastElapsedTicks ( void )
public bool HRTime\PerformanceCounter::isRunning ( void )
public void HRTime\PerformanceCounter::start ( void )
public void HRTime\PerformanceCounter::stop ( void )
}

## Table of Contents

- HRTime\StopWatch::getElapsedTime — Get elapsed time for all intervals.
- HRTime\StopWatch::getLastElapsedTime — Get elapsed time for the last interval.

HRTime\PerformanceCounter::stop
HRTime\StopWatch::getElapsedTime
HRTime
PHP Manual